# Class RcsbFv3DSequenceIdentity

#### Hierarchy

- RcsbFv3DAbstract<MsaPfvManagerInterface<[string, SearchQuery | undefined]>, AlignmentLoadMolstarType, LoadMolstarReturnType, {
  viewerElement: string | HTMLElement;
  viewerProps: Partial<ViewerProps>;
  }, {
  context: {
  id: string;
  };
  module: RcsbFvModulePublicInterface;
  }>
  - RcsbFv3DSequenceIdentity

- Defined in src/RcsbFv3D/RcsbFv3DSequenceIdentity.tsx:55

#####
Index

### Constructors

constructor

### Methods

pluginCall
render
unmount
updateConfig

## Constructors

### constructor

- new RcsbFv3DSequenceIdentity(params): RcsbFv3DSequenceIdentity

- #### Parameters

  - ##### params: RcsbFv3DSequenceIdentityInterface

  #### Returns RcsbFv3DSequenceIdentity

  Overrides RcsbFv3DAbstract.constructor

  - Defined in src/RcsbFv3D/RcsbFv3DSequenceIdentity.tsx:62

## Methods

### pluginCall

- pluginCall(f): void

- #### Parameters

  - ##### f: ((plugin) => void)

    - - (plugin): void

      - #### Parameters

        - ##### plugin: PluginContext

        #### Returns void

  Inherited from RcsbFv3DAbstract.pluginCall

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:92

### render

- render(): Promise<void>

- #### Returns Promise<void>

  Inherited from RcsbFv3DAbstract.render

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:48

### unmount

- unmount(removeHtmlElement?, unmountCallback?): void

- #### Parameters

  - ##### `Optional` removeHtmlElement: boolean

  - ##### `Optional` unmountCallback: (() => {})

    - - (): {}

      - #### Returns {}

  #### Returns void

  Inherited from RcsbFv3DAbstract.unmount

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:75

### updateConfig

- updateConfig(config): void

- #### Parameters

  - ##### config: {
    sequencePanelConfig?: Partial<RcsbFvSequenceInterface<MsaPfvManagerInterface<[string, undefined | SearchQuery]>, {
    context: {
    id: string;
    };
    module: RcsbFvModulePublicInterface<{}, {}, {}, {}>;
    }>>;
    structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<AlignmentLoadMolstarType, {
    viewerElement: string | HTMLElement;
    viewerProps: Partial<ViewerProps>;
    }>>;
    }

    - ##### `Optional` sequencePanelConfig?: Partial<RcsbFvSequenceInterface<MsaPfvManagerInterface<[string, undefined | SearchQuery]>, {
      context: {
      id: string;
      };
      module: RcsbFvModulePublicInterface<{}, {}, {}, {}>;
      }>>

    - ##### `Optional` structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<AlignmentLoadMolstarType, {
      viewerElement: string | HTMLElement;
      viewerProps: Partial<ViewerProps>;
      }>>

  #### Returns void

  Inherited from RcsbFv3DAbstract.updateConfig

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:88

Generated using TypeDoc